Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 3832)
+++ /palm/trunk/SOURCE/Makefile	(revision 3833)
@@ -874,5 +874,4 @@
 	modules.o
 chem_modules.o: \
-	chem_gasphase_mod.o \
 	mod_kinds.o \
 	modules.o
@@ -1440,5 +1439,5 @@
 	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
-	chem_modules.o \
+	chem_gasphase_mod.o \
 	mod_kinds.o \
 	mod_particle_attributes.o \
@@ -1511,4 +1510,5 @@
 	buoyancy.o \
 	chemistry_model_mod.o \
+	chem_gasphase_mod.o \
 	chem_modules.o \
 	chem_photolysis_mod.o \
@@ -1626,4 +1626,5 @@
 	basic_constants_and_equations_mod.o \
 	bulk_cloud_model_mod.o \
+	chem_gasphase_mod.o \
 	chem_modules.o \
 	exchange_horiz_2d.o \
@@ -1634,4 +1635,5 @@
 	urban_surface_mod.o
 surface_mod.o: \
+	chem_gasphase_mod.o \
 	chem_modules.o \
 	model_1d_mod.o \
@@ -1670,4 +1672,5 @@
 	chem_emissions_mod.o \
 	chemistry_model_mod.o \
+	chem_gasphase_mod.o \
 	chem_modules.o \
 	cpulog_mod.o \
@@ -1847,5 +1850,5 @@
 	cpulog_mod.o \
 	chemistry_model_mod.o \
-	chem_modules.o \
+	chem_gasphase_mod.o \
 	mod_kinds.o \
 	modules.o \
Index: /palm/trunk/SOURCE/chem_gasphase_mod.f90
===================================================================
--- /palm/trunk/SOURCE/chem_gasphase_mod.f90	(revision 3832)
+++ /palm/trunk/SOURCE/chem_gasphase_mod.f90	(revision 3833)
@@ -60,27 +60,30 @@
   !SAVE  ! note: occurs again in automatically generated code ...
 
-!  PUBLIC :: IERR_NAMES
- 
-! PUBLIC :: SPC_NAMES,EQN_NAMES,EQN_TAGS,REQ_HET,REQ_AEROSOL,REQ_PHOTRAT &
-!         ,REQ_MCFCT,IP_MAX,jname
-
+! Public variables
+  PUBLIC :: atol
   PUBLIC :: cs_mech
-  PUBLIC :: eqn_names, phot_names, spc_names
+  PUBLIC :: eqn_names
+  PUBLIC :: fakt
   PUBLIC :: nmaxfixsteps
-  PUBLIC :: atol, rtol
-  PUBLIC :: nspec, nreact
+  PUBLIC :: nphot
+  PUBLIC :: nreact
+  PUBLIC :: nspec
+  PUBLIC :: nvar
+  PUBLIC :: qvap
+  PUBLIC :: phot 
+  PUBLIC :: phot_names
+  PUBLIC :: rconst
+  PUBLIC :: rtol
+  PUBLIC :: spc_names
   PUBLIC :: temp
-  PUBLIC :: qvap
-  PUBLIC :: fakt
-  PUBLIC :: phot 
-  PUBLIC :: rconst
-  PUBLIC :: nvar
-  PUBLIC :: nphot
-  PUBLIC :: vl_dim                     ! PUBLIC to ebable other MODULEs to distiguish between scalar and vec
- 
-  PUBLIC :: initialize, integrate, update_rconst
+  PUBLIC :: vl_dim                     !< PUBLIC to enable other MODULEs to distiguish between scalar and vec
+ 
+! Public routines
   PUBLIC :: chem_gasphase_integrate
+  PUBLIC :: get_mechanism_name
+  PUBLIC :: initialize
   PUBLIC :: initialize_kpp_ctrl
-  PUBLIC :: get_mechanism_name
+  PUBLIC :: integrate
+  PUBLIC :: update_rconst
 
 ! END OF MODULE HEADER TEMPLATE
@@ -114,5 +117,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -191,5 +194,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -256,5 +259,5 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -300,5 +303,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -362,5 +365,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -388,5 +391,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -446,5 +449,5 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -473,5 +476,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -500,5 +503,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -529,5 +532,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -555,5 +558,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -589,6 +592,8 @@
   INTEGER, PARAMETER, PUBLIC :: nkppctrl = 20
   !
-  INTEGER, DIMENSION(nkppctrl), PUBLIC     :: icntrl = 0
+  ! steering PARAMETERs for chemistry solver (see kpp domumentation)
+  INTEGER, DIMENSION(nkppctrl), PUBLIC      :: icntrl = 0
   REAL(dp), DIMENSION(nkppctrl), PUBLIC     :: rcntrl = 0.0_dp
+  ! t_steps: fixed time steps in vector mode
   REAL(dp), DIMENSION(nmaxfixsteps), PUBLIC :: t_steps = 0.0_dp
 
Index: /palm/trunk/SOURCE/chem_modules.f90
===================================================================
--- /palm/trunk/SOURCE/chem_modules.f90	(revision 3832)
+++ /palm/trunk/SOURCE/chem_modules.f90	(revision 3833)
@@ -27,4 +27,7 @@
 ! -----------------
 ! $Id$
+! removed USE chem_gasphase_mod
+! 
+! 3827 2019-03-27 17:20:32Z forkel
 ! some formatting  and reordering (ecc) 
 ! 
@@ -75,7 +78,4 @@
  MODULE chem_modules
 
-    USE chem_gasphase_mod,                                                     &   
-        ONLY: cs_mech, nspec, nvar, spc_names
-
     USE control_parameters,                                                    &
         ONLY: varnamelength
@@ -84,9 +84,4 @@
 
     IMPLICIT NONE
-
-    PUBLIC cs_mech
-    PUBLIC nspec
-    PUBLIC nvar
-    PUBLIC spc_names
 
     CHARACTER (LEN=20)                ::  bc_cs_b             = 'dirichlet'         !< namelist parameter
Index: /palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3832)
+++ /palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3833)
@@ -27,4 +27,7 @@
 ! -----------------
 ! $Id: chemistry_model_mod.f90 3784 2019-03-05 14:16:20Z banzhafs
+! added cs_mech to USE chem_gasphase_mod 
+! 
+! 3784 2019-03-05 14:16:20Z banzhafs
 ! renamed get_mechanismname to get_mechanism_name
 ! renamed do_emiss to emissions_anthropogenic and do_depo to deposition_dry (ecc)
@@ -257,16 +260,12 @@
 ! ------------
 !> Chemistry model for PALM-4U
+!> @todo Extend chem_species type by nspec and nvar as addititional elements
 !> @todo Adjust chem_rrd_local to CASE structure of others modules. It is not 
 !>       allowed to use the chemistry model in a precursor run and additionally 
 !>       not using it in a main run
 !> @todo Update/clean-up todo list! (FK)
-!> @todo Set proper fill values (/= 0) for chem output arrays! (FK)
 !> @todo Add routine chem_check_parameters, add checks for inconsistent or
 !>       unallowed parameter settings. 
 !>       CALL of chem_check_parameters from check_parameters. (FK)
-!> @todo Make routine chem_header available, CALL from header.f90
-!>       (see e.g. how it is done in routine lsm_header in 
-!>        land_surface_model_mod.f90). chem_header should include all setup
-!>        info about chemistry parameter settings. (FK)
 !> @todo Implement turbulent inflow of chem spcs in inflow_turbulence.
 !> @todo Separate boundary conditions for each chem spcs to be implemented
@@ -307,6 +306,6 @@
 
     USE chem_gasphase_mod,                                                                         &
-         ONLY:  atol, chem_gasphase_integrate, get_mechanism_name, nkppctrl, nmaxfixsteps,         &
-         nphot, nreact, nspec, nvar, phot_names, rtol, spc_names, t_steps, vl_dim
+         ONLY:  atol, chem_gasphase_integrate, cs_mech, get_mechanism_name, nkppctrl,              &
+         nmaxfixsteps, nphot, nreact, nspec, nvar, phot_names, rtol, spc_names, t_steps, vl_dim
 
     USE chem_modules
Index: /palm/trunk/SOURCE/multi_agent_system_mod.f90
===================================================================
--- /palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 3832)
+++ /palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 3833)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! replaced nspec by nvar: only variable species should bconsidered, fixed species are not relevant 
+! 
+! 3766 2019-02-26 16:23:41Z raasch
 ! save attribute added to local targets to avoid outlive pointer target warning
 ! 
@@ -3015,5 +3018,5 @@
 
 !       USE chem_gasphase_mod,                                                  &
-!           ONLY:  nspec
+!           ONLY:  nvar
 
 !       USE chemistry_model_mod,                                                &
@@ -3108,5 +3111,5 @@
 ! !--    Get indices of PM10 and PM2.5 species, if active
 !        IF ( air_chemistry ) THEN
-!           DO il = 1, nspec
+!           DO il = 1, nvar
 ! print*,chem_species(il)%name
 ! !              IF ( spec_name(1:4) == 'PM10' ) THEN  
Index: /palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3832)
+++ /palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 3833)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! replaced USE chem_modules by USE chem_gasphase_mod 
+! 
+! 3822 2019-03-27 13:10:23Z hellstea
 ! Temporary increase of the vertical dimension of the parent-grid arrays and 
 ! workarrc_t is cancelled as unnecessary.
@@ -397,5 +400,5 @@
                roughness_length, topography, volume_flow
 
-    USE chem_modules,                                                          &
+    USE chem_gasphase_mod,                                                          &
         ONLY:  nspec
 
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 3832)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 3833)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! added USE chem_gasphase_mod for nvar, nspec and spc_names
+! 
+! 3820 2019-03-27 11:53:41Z forkel
 ! renamed do_depo to deposition_dry (ecc)
 ! 
@@ -378,4 +381,7 @@
                deposition_dry
 
+    USE chem_gasphase_mod,                                                     &
+        ONLY:  nspec, nvar, spc_names
+
     USE chem_photolysis_mod,                                                   &
         ONLY:  photolysis_control
@@ -383,6 +389,5 @@
     USE chemistry_model_mod,                                                   &
         ONLY:  chem_boundary_conds, chem_depo, chem_integrate,                 &
-               chem_prognostic_equations, chem_species,                        &
-               nspec, nvar, spc_names
+               chem_prognostic_equations, chem_species
 
     USE control_parameters,                                                    &
Index: /palm/trunk/SOURCE/salsa_mod.f90
===================================================================
--- /palm/trunk/SOURCE/salsa_mod.f90	(revision 3832)
+++ /palm/trunk/SOURCE/salsa_mod.f90	(revision 3833)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! added USE chem_gasphase_mod for nvar, nspec and spc_names 
+! 
+! 3787 2019-03-07 08:43:54Z raasch
 ! unused variables removed
 ! 
@@ -96,6 +99,9 @@
         ONLY:  c_p, g, p_0, pi, r_d
  
+    USE chem_gasphase_mod,                                                     &
+        ONLY:  nspec, nvar, spc_names
+
     USE chemistry_model_mod,                                                   &
-        ONLY:  chem_species, nspec, nvar, spc_names
+        ONLY:  chem_species
 
     USE chem_modules,                                                          &
Index: /palm/trunk/SOURCE/surface_layer_fluxes_mod.f90
===================================================================
--- /palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 3832)
+++ /palm/trunk/SOURCE/surface_layer_fluxes_mod.f90	(revision 3833)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! added USE chem_gasphase_mod 
+! 
+! 3787 2019-03-07 08:43:54Z raasch
 ! unused variables removed
 ! 
@@ -255,4 +258,7 @@
     USE basic_constants_and_equations_mod,                                     &
         ONLY:  g, kappa, lv_d_cp, pi, rd_d_rv
+
+    USE chem_gasphase_mod,                                                     &
+        ONLY:  nvar
 
     USE chem_modules,                                                          &
Index: /palm/trunk/SOURCE/surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/surface_mod.f90	(revision 3832)
+++ /palm/trunk/SOURCE/surface_mod.f90	(revision 3833)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! added USE chem_gasphase_mod (chem_modules will not transport nvar and nspec anymore)
+! 
+! 3772 2019-02-28 15:51:57Z suehring
 ! small change in the todo's
 ! 
@@ -270,4 +273,7 @@
         ONLY:  heatflux_input_conversion, momentumflux_input_conversion,       &
                rho_air, rho_air_zw, zu, zw, waterflux_input_conversion 
+
+    USE chem_gasphase_mod,                                                     &
+        ONLY:  nvar, spc_names
 
     USE chem_modules
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 3832)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 3833)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! added USE chem_gasphase_mod, replaced nspec by nvar since fixed compounds are not integrated
+! 
+! 3820 2019-03-27 11:53:41Z forkel
 ! renamed do_emiss to emissions_anthropogenic (ecc)
 ! 
@@ -489,6 +492,9 @@
         ONLY:  chem_emissions_setup
 
+    USE chem_gasphase_mod,                                                                         &
+        ONLY:  nvar
+
     USE chem_modules,                                                                              &
-        ONLY:  bc_cs_t_val, cs_name, emissions_anthropogenic, nspec, nspec_out
+        ONLY:  bc_cs_t_val, cs_name, emissions_anthropogenic, nspec_out
 
     USE chemistry_model_mod,                                                                       &
@@ -844,5 +850,5 @@
            bc_q_t_val  = ( q_init(nzt+1) - q_init(nzt) ) / dzu(nzt+1)
            IF ( air_chemistry )  THEN
-              DO  lsp = 1, nspec
+              DO  lsp = 1, nvar
                  bc_cs_t_val = (  chem_species(lsp)%conc_pr_init(nzt+1)                            &
                                 - chem_species(lsp)%conc_pr_init(nzt) )                            &
@@ -1007,5 +1013,5 @@
           IF ( passive_scalar )  CALL exchange_horiz( s_p, nbgp )
           IF ( air_chemistry )  THEN
-             DO  lsp = 1, nspec
+             DO  lsp = 1, nvar
                 CALL exchange_horiz( chem_species(lsp)%conc_p, nbgp )
 !
@@ -1110,5 +1116,5 @@
 
                 IF ( air_chemistry )  THEN
-                   DO  n = 1, nspec     
+                   DO  n = 1, nvar     
                       CALL exchange_horiz( chem_species(n)%conc, nbgp ) 
                    ENDDO
Index: /palm/trunk/SOURCE/virtual_measurement_mod.f90
===================================================================
--- /palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 3832)
+++ /palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 3833)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! renamed nvar to nmeas, replaced USE chem_modules by USE chem_gasphase_mod and nspec by nvar 
+! 
+! 3766 2019-02-26 16:23:41Z raasch
 ! unused variables removed
 ! 
@@ -76,6 +79,6 @@
         ONLY:  q, pt, u, v, w, zu, zw
 
-    USE chem_modules,                                                          &
-        ONLY:  nspec
+    USE chem_gasphase_mod,                                                     &
+        ONLY:  nvar
 
     USE chemistry_model_mod,                                                   &
@@ -132,5 +135,5 @@
        INTEGER(iwp) ::  ns_tot = 0      !< total number of observation coordinates, for atmospheric measurements
        INTEGER(iwp) ::  ntraj           !< number of trajectories of a measurement
-       INTEGER(iwp) ::  nvar            !< number of measured variables (atmosphere + soil)
+       INTEGER(iwp) ::  nmeas           !< number of measured variables (atmosphere + soil)
        
        INTEGER(iwp) ::  ns_soil = 0     !< number of observation coordinates on subdomain, for soil measurements
@@ -551,5 +554,5 @@
 !--    for a NULL to get the correct character length in order to compare 
 !--    them with the list of allowed variables. 
-       vmea(l)%nvar   = 0
+       vmea(l)%nmeas  = 0
        DO ll = 1, SIZE( measured_variables_file )
           IF ( measured_variables_file(ll)(1:1) /= CHAR(0)  .AND.              &
@@ -569,6 +572,6 @@
                 IF ( measured_variables_file(ll)(1:len_char) ==                &
                      TRIM( list_allowed_variables(lll) ) )  THEN
-                   vmea(l)%nvar = vmea(l)%nvar + 1
-                   measured_variables(vmea(l)%nvar) =                          &
+                   vmea(l)%nmeas = vmea(l)%nmeas + 1
+                   measured_variables(vmea(l)%nmeas) =                         &
                                        measured_variables_file(ll)(1:len_char)
                 ENDIF
@@ -578,7 +581,7 @@
 !
 !--    Allocate array for the measured variables names for the respective site.
-       ALLOCATE( vmea(l)%measured_vars_name(1:vmea(l)%nvar) )
-
-       DO  ll = 1, vmea(l)%nvar
+       ALLOCATE( vmea(l)%measured_vars_name(1:vmea(l)%nmeas) )
+
+       DO  ll = 1, vmea(l)%nmeas
           vmea(l)%measured_vars_name(ll) = TRIM( measured_variables(ll) )
        ENDDO
@@ -587,7 +590,7 @@
 !--    chemistry mechanism.
 !        IF ( air_chemistry )  THEN
-!           DO  ll = 1, vmea(l)%nvar
+!           DO  ll = 1, vmea(l)%nmeas
 !              chem_include = .FALSE.
-!              DO  n = 1, nspec
+!              DO  n = 1, nvar
 !                 IF ( TRIM( vmea(l)%measured_vars_name(ll) ) ==                 &
 !                      TRIM( chem_species(n)%name ) )  chem_include = .TRUE.
@@ -609,5 +612,5 @@
 !--    as this would exceed memory requirements, particularly for trajectory 
 !--    measurements. 
-       IF ( vmea(l)%nvar > 0 )  THEN
+       IF ( vmea(l)%nmeas > 0 )  THEN
 !
 !--       For stationary measurements UTM coordinates are just one value and 
@@ -855,14 +858,14 @@
 !
 !--       Allocate array to save the sampled values.
-          ALLOCATE( vmea(l)%measured_vars(1:vmea(l)%ns,1:vmea(l)%nvar) )
+          ALLOCATE( vmea(l)%measured_vars(1:vmea(l)%ns,1:vmea(l)%nmeas) )
           
           IF ( vmea(l)%soil_sampling )                                         &
              ALLOCATE( vmea(l)%measured_vars_soil(1:vmea(l)%ns_soil,           &
-                                                  1:vmea(l)%nvar) )
+                                                  1:vmea(l)%nmeas) )
 !
 !--       Initialize with _FillValues
-          vmea(l)%measured_vars(1:vmea(l)%ns,1:vmea(l)%nvar) = vmea(l)%fillout
+          vmea(l)%measured_vars(1:vmea(l)%ns,1:vmea(l)%nmeas) = vmea(l)%fillout
           IF ( vmea(l)%soil_sampling )                                         &
-             vmea(l)%measured_vars_soil(1:vmea(l)%ns_soil,1:vmea(l)%nvar) =    &
+             vmea(l)%measured_vars_soil(1:vmea(l)%ns_soil,1:vmea(l)%nmeas) =   &
                                                                 vmea(l)%fillout
 !
@@ -955,5 +958,5 @@
                  WRITE ( 27 )  vmea(l)%ns_tot
                  WRITE ( 27 )  'number of measured variables      '
-                 WRITE ( 27 )  vmea(l)%nvar
+                 WRITE ( 27 )  vmea(l)%nmeas
                  WRITE ( 27 )  'variables                         '
                  WRITE ( 27 )  vmea(l)%measured_vars_name(:)
@@ -1013,5 +1016,5 @@
 !--              Skip binary writing if no observation points are defined on PE
                  IF ( vmea(l)%ns < 1  .AND.  vmea(l)%ns_soil < 1)  CYCLE                 
-                 DO  n = 1, vmea(l)%nvar
+                 DO  n = 1, vmea(l)%nmeas
                     WRITE( 27 )  vmea(l)%measured_vars_name(n)
                     IF ( vmea(l)%soil_sampling  .AND.                           &
@@ -1106,5 +1109,5 @@
 !
 !--     Loop over all variables measured at this site.  
-        DO  n = 1, vmea(l)%nvar
+        DO  n = 1, vmea(l)%nmeas
         
            SELECT CASE ( TRIM( vmea(l)%measured_vars_name(n) ) )
@@ -1263,5 +1266,5 @@
 !--                 Run loop over all chemical species, if the measured 
 !--                 variable matches the interal name, sample the variable.
-                    DO  nn = 1, nspec                    
+                    DO  nn = 1, nvar                    
                        IF ( TRIM( chem_vars(1,ind_chem) ) ==                   &
                             TRIM( chem_species(nn)%name ) )  THEN                            
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/create_kpp_module.C
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/create_kpp_module.C	(revision 3832)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/src/create_kpp_module.C	(revision 3833)
@@ -13,5 +13,7 @@
 //Former revisions:
 //-----------------
-// renamed get_mechanismname to get_mechanism_name                        (26.03.2019, forkel):w
+// alphabetic ordering of PUBLIC statments in templates/module_header     (28.03.2019, forkel)
+//
+// renamed get_mechanismname to get_mechanism_name                        (26.03.2019, forkel)
 //
 //
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/templates/initialize_kpp_ctrl_template.f90
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/templates/initialize_kpp_ctrl_template.f90	(revision 3832)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/templates/initialize_kpp_ctrl_template.f90	(revision 3833)
@@ -24,6 +24,8 @@
   INTEGER, PARAMETER, PUBLIC :: NKPPCTRL = 20
   !
-  INTEGER,  DIMENSION(NKPPCTRL), PUBLIC     :: icntrl = 0
+  ! Steering parameters for chemistry solver (see KPP domumentation)
+  INTEGER, DIMENSION(NKPPCTRL), PUBLIC      :: icntrl = 0
   REAL(DP), DIMENSION(NKPPCTRL), PUBLIC     :: rcntrl = 0.0_dp
+  ! t_steps: fixed time steps in vector mode
   REAL(DP), DIMENSION(NMAXFIXSTEPS), PUBLIC :: t_steps = 0.0_dp
 
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/templates/module_header
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/templates/module_header	(revision 3832)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/kpp4palm/templates/module_header	(revision 3833)
@@ -56,27 +56,30 @@
   !SAVE  ! NOTE: OCCURS AGAIN IN AUTOMATICALLY GENERATED CODE ...
 
-!  PUBLIC :: IERR_NAMES
+! Public variables
+  PUBLIC :: atol
+  PUBLIC :: cs_mech
+  PUBLIC :: eqn_names
+  PUBLIC :: fakt
+  PUBLIC :: nmaxfixsteps
+  PUBLIC :: nphot
+  PUBLIC :: nreact
+  PUBLIC :: nspec
+  PUBLIC :: nvar
+  PUBLIC :: qvap
+  PUBLIC :: phot 
+  PUBLIC :: phot_names
+  PUBLIC :: rconst
+  PUBLIC :: rtol
+  PUBLIC :: spc_names
+  PUBLIC :: temp
+  PUBLIC :: vl_dim                     !< PUBLIC to enable other modules to distiguish between scalar and vec
  
-! PUBLIC :: SPC_NAMES, EQN_NAMES, EQN_TAGS, REQ_HET, REQ_AEROSOL, REQ_PHOTRAT &
-!         , REQ_MCFCT, IP_MAX, jname
-
-  PUBLIC :: cs_mech
-  PUBLIC :: eqn_names,  phot_names, spc_names
-  PUBLIC :: nmaxfixsteps
-  PUBLIC :: atol, rtol
-  PUBLIC :: nspec, nreact
-  PUBLIC :: temp
-  PUBLIC :: qvap
-  PUBLIC :: fakt
-  PUBLIC :: phot 
-  PUBLIC :: rconst
-  PUBLIC :: nvar
-  PUBLIC :: nphot
-  PUBLIC :: vl_dim                     ! Public to ebable other modules to distiguish between scalar and vec
- 
-  PUBLIC :: Initialize, Integrate, Update_rconst
+! Public routines
   PUBLIC :: chem_gasphase_integrate
+  PUBLIC :: get_mechanism_name
+  PUBLIC :: Initialize
   PUBLIC :: initialize_kpp_ctrl
-  PUBLIC :: get_mechanism_name
+  PUBLIC :: Integrate
+  PUBLIC :: Update_rconst
 
 ! END OF MODULE HEADER TEMPLATE
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_cbm4/chem_gasphase_mod.f90
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_cbm4/chem_gasphase_mod.f90	(revision 3832)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_cbm4/chem_gasphase_mod.f90	(revision 3833)
@@ -60,27 +60,30 @@
   !SAVE  ! note: occurs again in automatically generated code ...
 
-!  PUBLIC :: IERR_NAMES
- 
-! PUBLIC :: SPC_NAMES,EQN_NAMES,EQN_TAGS,REQ_HET,REQ_AEROSOL,REQ_PHOTRAT &
-!         ,REQ_MCFCT,IP_MAX,jname
-
+! Public variables
+  PUBLIC :: atol
   PUBLIC :: cs_mech
-  PUBLIC :: eqn_names, phot_names, spc_names
+  PUBLIC :: eqn_names
+  PUBLIC :: fakt
   PUBLIC :: nmaxfixsteps
-  PUBLIC :: atol, rtol
-  PUBLIC :: nspec, nreact
+  PUBLIC :: nphot
+  PUBLIC :: nreact
+  PUBLIC :: nspec
+  PUBLIC :: nvar
+  PUBLIC :: qvap
+  PUBLIC :: phot 
+  PUBLIC :: phot_names
+  PUBLIC :: rconst
+  PUBLIC :: rtol
+  PUBLIC :: spc_names
   PUBLIC :: temp
-  PUBLIC :: qvap
-  PUBLIC :: fakt
-  PUBLIC :: phot 
-  PUBLIC :: rconst
-  PUBLIC :: nvar
-  PUBLIC :: nphot
-  PUBLIC :: vl_dim                     ! PUBLIC to ebable other MODULEs to distiguish between scalar and vec
- 
-  PUBLIC :: initialize, integrate, update_rconst
+  PUBLIC :: vl_dim                     !< PUBLIC to enable other MODULEs to distiguish between scalar and vec
+ 
+! Public routines
   PUBLIC :: chem_gasphase_integrate
+  PUBLIC :: get_mechanism_name
+  PUBLIC :: initialize
   PUBLIC :: initialize_kpp_ctrl
-  PUBLIC :: get_mechanism_name
+  PUBLIC :: integrate
+  PUBLIC :: update_rconst
 
 ! END OF MODULE HEADER TEMPLATE
@@ -114,5 +117,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Wed Mar 27 09:51:33 2019
+! Time                 : Thu Mar 28 15:59:22 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -221,5 +224,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Wed Mar 27 09:51:33 2019
+! Time                 : Thu Mar 28 15:59:22 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -286,5 +289,5 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Wed Mar 27 09:51:33 2019
+! Time                 : Thu Mar 28 15:59:22 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -382,5 +385,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Wed Mar 27 09:51:33 2019
+! Time                 : Thu Mar 28 15:59:22 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -545,5 +548,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Wed Mar 27 09:51:33 2019
+! Time                 : Thu Mar 28 15:59:22 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -571,5 +574,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Wed Mar 27 09:51:33 2019
+! Time                 : Thu Mar 28 15:59:22 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -629,5 +632,5 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Wed Mar 27 09:51:33 2019
+! Time                 : Thu Mar 28 15:59:22 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -656,5 +659,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Wed Mar 27 09:51:33 2019
+! Time                 : Thu Mar 28 15:59:22 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -683,5 +686,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Wed Mar 27 09:51:33 2019
+! Time                 : Thu Mar 28 15:59:22 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -712,5 +715,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Wed Mar 27 09:51:33 2019
+! Time                 : Thu Mar 28 15:59:22 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -738,5 +741,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Wed Mar 27 09:51:33 2019
+! Time                 : Thu Mar 28 15:59:22 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -772,6 +775,8 @@
   INTEGER, PARAMETER, PUBLIC :: nkppctrl = 20
   !
-  INTEGER, DIMENSION(nkppctrl), PUBLIC     :: icntrl = 0
+  ! steering PARAMETERs for chemistry solver (see kpp domumentation)
+  INTEGER, DIMENSION(nkppctrl), PUBLIC      :: icntrl = 0
   REAL(dp), DIMENSION(nkppctrl), PUBLIC     :: rcntrl = 0.0_dp
+  ! t_steps: fixed time steps in vector mode
   REAL(dp), DIMENSION(nmaxfixsteps), PUBLIC :: t_steps = 0.0_dp
 
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive/chem_gasphase_mod.f90
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive/chem_gasphase_mod.f90	(revision 3832)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive/chem_gasphase_mod.f90	(revision 3833)
@@ -60,27 +60,30 @@
   !SAVE  ! note: occurs again in automatically generated code ...
 
-!  PUBLIC :: IERR_NAMES
- 
-! PUBLIC :: SPC_NAMES,EQN_NAMES,EQN_TAGS,REQ_HET,REQ_AEROSOL,REQ_PHOTRAT &
-!         ,REQ_MCFCT,IP_MAX,jname
-
+! Public variables
+  PUBLIC :: atol
   PUBLIC :: cs_mech
-  PUBLIC :: eqn_names, phot_names, spc_names
+  PUBLIC :: eqn_names
+  PUBLIC :: fakt
   PUBLIC :: nmaxfixsteps
-  PUBLIC :: atol, rtol
-  PUBLIC :: nspec, nreact
+  PUBLIC :: nphot
+  PUBLIC :: nreact
+  PUBLIC :: nspec
+  PUBLIC :: nvar
+  PUBLIC :: qvap
+  PUBLIC :: phot 
+  PUBLIC :: phot_names
+  PUBLIC :: rconst
+  PUBLIC :: rtol
+  PUBLIC :: spc_names
   PUBLIC :: temp
-  PUBLIC :: qvap
-  PUBLIC :: fakt
-  PUBLIC :: phot 
-  PUBLIC :: rconst
-  PUBLIC :: nvar
-  PUBLIC :: nphot
-  PUBLIC :: vl_dim                     ! PUBLIC to ebable other MODULEs to distiguish between scalar and vec
- 
-  PUBLIC :: initialize, integrate, update_rconst
+  PUBLIC :: vl_dim                     !< PUBLIC to enable other MODULEs to distiguish between scalar and vec
+ 
+! Public routines
   PUBLIC :: chem_gasphase_integrate
+  PUBLIC :: get_mechanism_name
+  PUBLIC :: initialize
   PUBLIC :: initialize_kpp_ctrl
-  PUBLIC :: get_mechanism_name
+  PUBLIC :: integrate
+  PUBLIC :: update_rconst
 
 ! END OF MODULE HEADER TEMPLATE
@@ -114,5 +117,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:23 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -189,5 +192,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:23 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -254,5 +257,5 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:23 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -298,5 +301,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:23 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -358,5 +361,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:23 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -384,5 +387,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:23 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -442,5 +445,5 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:23 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -469,5 +472,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:23 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -496,5 +499,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:23 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -525,5 +528,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:23 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -551,5 +554,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:23 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -585,6 +588,8 @@
   INTEGER, PARAMETER, PUBLIC :: nkppctrl = 20
   !
-  INTEGER, DIMENSION(nkppctrl), PUBLIC     :: icntrl = 0
+  ! steering PARAMETERs for chemistry solver (see kpp domumentation)
+  INTEGER, DIMENSION(nkppctrl), PUBLIC      :: icntrl = 0
   REAL(dp), DIMENSION(nkppctrl), PUBLIC     :: rcntrl = 0.0_dp
+  ! t_steps: fixed time steps in vector mode
   REAL(dp), DIMENSION(nmaxfixsteps), PUBLIC :: t_steps = 0.0_dp
 
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/chem_gasphase_mod.f90
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/chem_gasphase_mod.f90	(revision 3832)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/chem_gasphase_mod.f90	(revision 3833)
@@ -60,27 +60,30 @@
   !SAVE  ! note: occurs again in automatically generated code ...
 
-!  PUBLIC :: IERR_NAMES
- 
-! PUBLIC :: SPC_NAMES,EQN_NAMES,EQN_TAGS,REQ_HET,REQ_AEROSOL,REQ_PHOTRAT &
-!         ,REQ_MCFCT,IP_MAX,jname
-
+! Public variables
+  PUBLIC :: atol
   PUBLIC :: cs_mech
-  PUBLIC :: eqn_names, phot_names, spc_names
+  PUBLIC :: eqn_names
+  PUBLIC :: fakt
   PUBLIC :: nmaxfixsteps
-  PUBLIC :: atol, rtol
-  PUBLIC :: nspec, nreact
+  PUBLIC :: nphot
+  PUBLIC :: nreact
+  PUBLIC :: nspec
+  PUBLIC :: nvar
+  PUBLIC :: qvap
+  PUBLIC :: phot 
+  PUBLIC :: phot_names
+  PUBLIC :: rconst
+  PUBLIC :: rtol
+  PUBLIC :: spc_names
   PUBLIC :: temp
-  PUBLIC :: qvap
-  PUBLIC :: fakt
-  PUBLIC :: phot 
-  PUBLIC :: rconst
-  PUBLIC :: nvar
-  PUBLIC :: nphot
-  PUBLIC :: vl_dim                     ! PUBLIC to ebable other MODULEs to distiguish between scalar and vec
- 
-  PUBLIC :: initialize, integrate, update_rconst
+  PUBLIC :: vl_dim                     !< PUBLIC to enable other MODULEs to distiguish between scalar and vec
+ 
+! Public routines
   PUBLIC :: chem_gasphase_integrate
+  PUBLIC :: get_mechanism_name
+  PUBLIC :: initialize
   PUBLIC :: initialize_kpp_ctrl
-  PUBLIC :: get_mechanism_name
+  PUBLIC :: integrate
+  PUBLIC :: update_rconst
 
 ! END OF MODULE HEADER TEMPLATE
@@ -114,5 +117,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:24 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -188,5 +191,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:24 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -253,5 +256,5 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:24 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -297,5 +300,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:24 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -356,5 +359,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:24 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -382,5 +385,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:24 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -440,5 +443,5 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:24 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -467,5 +470,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:24 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -494,5 +497,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:24 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -523,5 +526,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:24 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -549,5 +552,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Wed Mar 27 09:51:34 2019
+! Time                 : Thu Mar 28 15:59:24 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -583,6 +586,8 @@
   INTEGER, PARAMETER, PUBLIC :: nkppctrl = 20
   !
-  INTEGER, DIMENSION(nkppctrl), PUBLIC     :: icntrl = 0
+  ! steering PARAMETERs for chemistry solver (see kpp domumentation)
+  INTEGER, DIMENSION(nkppctrl), PUBLIC      :: icntrl = 0
   REAL(dp), DIMENSION(nkppctrl), PUBLIC     :: rcntrl = 0.0_dp
+  ! t_steps: fixed time steps in vector mode
   REAL(dp), DIMENSION(nmaxfixsteps), PUBLIC :: t_steps = 0.0_dp
 
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/chem_gasphase_mod.f90
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/chem_gasphase_mod.f90	(revision 3832)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/chem_gasphase_mod.f90	(revision 3833)
@@ -60,27 +60,30 @@
   !SAVE  ! note: occurs again in automatically generated code ...
 
-!  PUBLIC :: IERR_NAMES
- 
-! PUBLIC :: SPC_NAMES,EQN_NAMES,EQN_TAGS,REQ_HET,REQ_AEROSOL,REQ_PHOTRAT &
-!         ,REQ_MCFCT,IP_MAX,jname
-
+! Public variables
+  PUBLIC :: atol
   PUBLIC :: cs_mech
-  PUBLIC :: eqn_names, phot_names, spc_names
+  PUBLIC :: eqn_names
+  PUBLIC :: fakt
   PUBLIC :: nmaxfixsteps
-  PUBLIC :: atol, rtol
-  PUBLIC :: nspec, nreact
+  PUBLIC :: nphot
+  PUBLIC :: nreact
+  PUBLIC :: nspec
+  PUBLIC :: nvar
+  PUBLIC :: qvap
+  PUBLIC :: phot 
+  PUBLIC :: phot_names
+  PUBLIC :: rconst
+  PUBLIC :: rtol
+  PUBLIC :: spc_names
   PUBLIC :: temp
-  PUBLIC :: qvap
-  PUBLIC :: fakt
-  PUBLIC :: phot 
-  PUBLIC :: rconst
-  PUBLIC :: nvar
-  PUBLIC :: nphot
-  PUBLIC :: vl_dim                     ! PUBLIC to ebable other MODULEs to distiguish between scalar and vec
- 
-  PUBLIC :: initialize, integrate, update_rconst
+  PUBLIC :: vl_dim                     !< PUBLIC to enable other MODULEs to distiguish between scalar and vec
+ 
+! Public routines
   PUBLIC :: chem_gasphase_integrate
+  PUBLIC :: get_mechanism_name
+  PUBLIC :: initialize
   PUBLIC :: initialize_kpp_ctrl
-  PUBLIC :: get_mechanism_name
+  PUBLIC :: integrate
+  PUBLIC :: update_rconst
 
 ! END OF MODULE HEADER TEMPLATE
@@ -114,5 +117,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Wed Mar 27 09:51:35 2019
+! Time                 : Thu Mar 28 15:59:25 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -190,5 +193,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Wed Mar 27 09:51:35 2019
+! Time                 : Thu Mar 28 15:59:25 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -255,5 +258,5 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Wed Mar 27 09:51:35 2019
+! Time                 : Thu Mar 28 15:59:25 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -299,5 +302,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Wed Mar 27 09:51:35 2019
+! Time                 : Thu Mar 28 15:59:25 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -359,5 +362,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Wed Mar 27 09:51:35 2019
+! Time                 : Thu Mar 28 15:59:25 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -385,5 +388,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Wed Mar 27 09:51:35 2019
+! Time                 : Thu Mar 28 15:59:25 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -443,5 +446,5 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Wed Mar 27 09:51:35 2019
+! Time                 : Thu Mar 28 15:59:25 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -470,5 +473,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Wed Mar 27 09:51:35 2019
+! Time                 : Thu Mar 28 15:59:25 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -497,5 +500,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Wed Mar 27 09:51:35 2019
+! Time                 : Thu Mar 28 15:59:25 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -526,5 +529,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Wed Mar 27 09:51:35 2019
+! Time                 : Thu Mar 28 15:59:25 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -552,5 +555,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Wed Mar 27 09:51:35 2019
+! Time                 : Thu Mar 28 15:59:25 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -586,6 +589,8 @@
   INTEGER, PARAMETER, PUBLIC :: nkppctrl = 20
   !
-  INTEGER, DIMENSION(nkppctrl), PUBLIC     :: icntrl = 0
+  ! steering PARAMETERs for chemistry solver (see kpp domumentation)
+  INTEGER, DIMENSION(nkppctrl), PUBLIC      :: icntrl = 0
   REAL(dp), DIMENSION(nkppctrl), PUBLIC     :: rcntrl = 0.0_dp
+  ! t_steps: fixed time steps in vector mode
   REAL(dp), DIMENSION(nmaxfixsteps), PUBLIC :: t_steps = 0.0_dp
 
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstatp/chem_gasphase_mod.f90
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstatp/chem_gasphase_mod.f90	(revision 3832)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstatp/chem_gasphase_mod.f90	(revision 3833)
@@ -60,27 +60,30 @@
   !SAVE  ! note: occurs again in automatically generated code ...
 
-!  PUBLIC :: IERR_NAMES
- 
-! PUBLIC :: SPC_NAMES,EQN_NAMES,EQN_TAGS,REQ_HET,REQ_AEROSOL,REQ_PHOTRAT &
-!         ,REQ_MCFCT,IP_MAX,jname
-
+! Public variables
+  PUBLIC :: atol
   PUBLIC :: cs_mech
-  PUBLIC :: eqn_names, phot_names, spc_names
+  PUBLIC :: eqn_names
+  PUBLIC :: fakt
   PUBLIC :: nmaxfixsteps
-  PUBLIC :: atol, rtol
-  PUBLIC :: nspec, nreact
+  PUBLIC :: nphot
+  PUBLIC :: nreact
+  PUBLIC :: nspec
+  PUBLIC :: nvar
+  PUBLIC :: qvap
+  PUBLIC :: phot 
+  PUBLIC :: phot_names
+  PUBLIC :: rconst
+  PUBLIC :: rtol
+  PUBLIC :: spc_names
   PUBLIC :: temp
-  PUBLIC :: qvap
-  PUBLIC :: fakt
-  PUBLIC :: phot 
-  PUBLIC :: rconst
-  PUBLIC :: nvar
-  PUBLIC :: nphot
-  PUBLIC :: vl_dim                     ! PUBLIC to ebable other MODULEs to distiguish between scalar and vec
- 
-  PUBLIC :: initialize, integrate, update_rconst
+  PUBLIC :: vl_dim                     !< PUBLIC to enable other MODULEs to distiguish between scalar and vec
+ 
+! Public routines
   PUBLIC :: chem_gasphase_integrate
+  PUBLIC :: get_mechanism_name
+  PUBLIC :: initialize
   PUBLIC :: initialize_kpp_ctrl
-  PUBLIC :: get_mechanism_name
+  PUBLIC :: integrate
+  PUBLIC :: update_rconst
 
 ! END OF MODULE HEADER TEMPLATE
@@ -114,5 +117,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -191,5 +194,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -256,5 +259,5 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -300,5 +303,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -362,5 +365,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -388,5 +391,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -446,5 +449,5 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -473,5 +476,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -500,5 +503,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -529,5 +532,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -555,5 +558,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:30 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -589,6 +592,8 @@
   INTEGER, PARAMETER, PUBLIC :: nkppctrl = 20
   !
-  INTEGER, DIMENSION(nkppctrl), PUBLIC     :: icntrl = 0
+  ! steering PARAMETERs for chemistry solver (see kpp domumentation)
+  INTEGER, DIMENSION(nkppctrl), PUBLIC      :: icntrl = 0
   REAL(dp), DIMENSION(nkppctrl), PUBLIC     :: rcntrl = 0.0_dp
+  ! t_steps: fixed time steps in vector mode
   REAL(dp), DIMENSION(nmaxfixsteps), PUBLIC :: t_steps = 0.0_dp
 
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+phstat/chem_gasphase_mod.f90
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+phstat/chem_gasphase_mod.f90	(revision 3832)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+phstat/chem_gasphase_mod.f90	(revision 3833)
@@ -60,27 +60,30 @@
   !SAVE  ! note: occurs again in automatically generated code ...
 
-!  PUBLIC :: IERR_NAMES
- 
-! PUBLIC :: SPC_NAMES,EQN_NAMES,EQN_TAGS,REQ_HET,REQ_AEROSOL,REQ_PHOTRAT &
-!         ,REQ_MCFCT,IP_MAX,jname
-
+! Public variables
+  PUBLIC :: atol
   PUBLIC :: cs_mech
-  PUBLIC :: eqn_names, phot_names, spc_names
+  PUBLIC :: eqn_names
+  PUBLIC :: fakt
   PUBLIC :: nmaxfixsteps
-  PUBLIC :: atol, rtol
-  PUBLIC :: nspec, nreact
+  PUBLIC :: nphot
+  PUBLIC :: nreact
+  PUBLIC :: nspec
+  PUBLIC :: nvar
+  PUBLIC :: qvap
+  PUBLIC :: phot 
+  PUBLIC :: phot_names
+  PUBLIC :: rconst
+  PUBLIC :: rtol
+  PUBLIC :: spc_names
   PUBLIC :: temp
-  PUBLIC :: qvap
-  PUBLIC :: fakt
-  PUBLIC :: phot 
-  PUBLIC :: rconst
-  PUBLIC :: nvar
-  PUBLIC :: nphot
-  PUBLIC :: vl_dim                     ! PUBLIC to ebable other MODULEs to distiguish between scalar and vec
- 
-  PUBLIC :: initialize, integrate, update_rconst
+  PUBLIC :: vl_dim                     !< PUBLIC to enable other MODULEs to distiguish between scalar and vec
+ 
+! Public routines
   PUBLIC :: chem_gasphase_integrate
+  PUBLIC :: get_mechanism_name
+  PUBLIC :: initialize
   PUBLIC :: initialize_kpp_ctrl
-  PUBLIC :: get_mechanism_name
+  PUBLIC :: integrate
+  PUBLIC :: update_rconst
 
 ! END OF MODULE HEADER TEMPLATE
@@ -114,5 +117,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Wed Mar 27 09:51:37 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -190,5 +193,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Wed Mar 27 09:51:37 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -264,5 +267,5 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Wed Mar 27 09:51:37 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -308,5 +311,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Wed Mar 27 09:51:37 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -368,5 +371,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Wed Mar 27 09:51:37 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -394,5 +397,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Wed Mar 27 09:51:37 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -452,5 +455,5 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Wed Mar 27 09:51:37 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -479,5 +482,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Wed Mar 27 09:51:37 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -506,5 +509,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Wed Mar 27 09:51:37 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -535,5 +538,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Wed Mar 27 09:51:37 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -561,5 +564,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Wed Mar 27 09:51:37 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -595,6 +598,8 @@
   INTEGER, PARAMETER, PUBLIC :: nkppctrl = 20
   !
-  INTEGER, DIMENSION(nkppctrl), PUBLIC     :: icntrl = 0
+  ! steering PARAMETERs for chemistry solver (see kpp domumentation)
+  INTEGER, DIMENSION(nkppctrl), PUBLIC      :: icntrl = 0
   REAL(dp), DIMENSION(nkppctrl), PUBLIC     :: rcntrl = 0.0_dp
+  ! t_steps: fixed time steps in vector mode
   REAL(dp), DIMENSION(nmaxfixsteps), PUBLIC :: t_steps = 0.0_dp
 
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+simple/chem_gasphase_mod.f90
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+simple/chem_gasphase_mod.f90	(revision 3832)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsa+simple/chem_gasphase_mod.f90	(revision 3833)
@@ -60,27 +60,30 @@
   !SAVE  ! note: occurs again in automatically generated code ...
 
-!  PUBLIC :: IERR_NAMES
- 
-! PUBLIC :: SPC_NAMES,EQN_NAMES,EQN_TAGS,REQ_HET,REQ_AEROSOL,REQ_PHOTRAT &
-!         ,REQ_MCFCT,IP_MAX,jname
-
+! Public variables
+  PUBLIC :: atol
   PUBLIC :: cs_mech
-  PUBLIC :: eqn_names, phot_names, spc_names
+  PUBLIC :: eqn_names
+  PUBLIC :: fakt
   PUBLIC :: nmaxfixsteps
-  PUBLIC :: atol, rtol
-  PUBLIC :: nspec, nreact
+  PUBLIC :: nphot
+  PUBLIC :: nreact
+  PUBLIC :: nspec
+  PUBLIC :: nvar
+  PUBLIC :: qvap
+  PUBLIC :: phot 
+  PUBLIC :: phot_names
+  PUBLIC :: rconst
+  PUBLIC :: rtol
+  PUBLIC :: spc_names
   PUBLIC :: temp
-  PUBLIC :: qvap
-  PUBLIC :: fakt
-  PUBLIC :: phot 
-  PUBLIC :: rconst
-  PUBLIC :: nvar
-  PUBLIC :: nphot
-  PUBLIC :: vl_dim                     ! PUBLIC to ebable other MODULEs to distiguish between scalar and vec
- 
-  PUBLIC :: initialize, integrate, update_rconst
+  PUBLIC :: vl_dim                     !< PUBLIC to enable other MODULEs to distiguish between scalar and vec
+ 
+! Public routines
   PUBLIC :: chem_gasphase_integrate
+  PUBLIC :: get_mechanism_name
+  PUBLIC :: initialize
   PUBLIC :: initialize_kpp_ctrl
-  PUBLIC :: get_mechanism_name
+  PUBLIC :: integrate
+  PUBLIC :: update_rconst
 
 ! END OF MODULE HEADER TEMPLATE
@@ -114,5 +117,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -202,5 +205,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -273,5 +276,5 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -325,5 +328,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -399,5 +402,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -425,5 +428,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -483,5 +486,5 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -510,5 +513,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -537,5 +540,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -566,5 +569,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -592,5 +595,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:27 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -626,6 +629,8 @@
   INTEGER, PARAMETER, PUBLIC :: nkppctrl = 20
   !
-  INTEGER, DIMENSION(nkppctrl), PUBLIC     :: icntrl = 0
+  ! steering PARAMETERs for chemistry solver (see kpp domumentation)
+  INTEGER, DIMENSION(nkppctrl), PUBLIC      :: icntrl = 0
   REAL(dp), DIMENSION(nkppctrl), PUBLIC     :: rcntrl = 0.0_dp
+  ! t_steps: fixed time steps in vector mode
   REAL(dp), DIMENSION(nmaxfixsteps), PUBLIC :: t_steps = 0.0_dp
 
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsagas/chem_gasphase_mod.f90
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsagas/chem_gasphase_mod.f90	(revision 3832)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_salsagas/chem_gasphase_mod.f90	(revision 3833)
@@ -60,27 +60,30 @@
   !SAVE  ! note: occurs again in automatically generated code ...
 
-!  PUBLIC :: IERR_NAMES
- 
-! PUBLIC :: SPC_NAMES,EQN_NAMES,EQN_TAGS,REQ_HET,REQ_AEROSOL,REQ_PHOTRAT &
-!         ,REQ_MCFCT,IP_MAX,jname
-
+! Public variables
+  PUBLIC :: atol
   PUBLIC :: cs_mech
-  PUBLIC :: eqn_names, phot_names, spc_names
+  PUBLIC :: eqn_names
+  PUBLIC :: fakt
   PUBLIC :: nmaxfixsteps
-  PUBLIC :: atol, rtol
-  PUBLIC :: nspec, nreact
+  PUBLIC :: nphot
+  PUBLIC :: nreact
+  PUBLIC :: nspec
+  PUBLIC :: nvar
+  PUBLIC :: qvap
+  PUBLIC :: phot 
+  PUBLIC :: phot_names
+  PUBLIC :: rconst
+  PUBLIC :: rtol
+  PUBLIC :: spc_names
   PUBLIC :: temp
-  PUBLIC :: qvap
-  PUBLIC :: fakt
-  PUBLIC :: phot 
-  PUBLIC :: rconst
-  PUBLIC :: nvar
-  PUBLIC :: nphot
-  PUBLIC :: vl_dim                     ! PUBLIC to ebable other MODULEs to distiguish between scalar and vec
- 
-  PUBLIC :: initialize, integrate, update_rconst
+  PUBLIC :: vl_dim                     !< PUBLIC to enable other MODULEs to distiguish between scalar and vec
+ 
+! Public routines
   PUBLIC :: chem_gasphase_integrate
+  PUBLIC :: get_mechanism_name
+  PUBLIC :: initialize
   PUBLIC :: initialize_kpp_ctrl
-  PUBLIC :: get_mechanism_name
+  PUBLIC :: integrate
+  PUBLIC :: update_rconst
 
 ! END OF MODULE HEADER TEMPLATE
@@ -114,5 +117,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Wed Mar 27 09:51:36 2019
+! Time                 : Thu Mar 28 15:59:26 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -192,5 +195,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Wed Mar 27 09:51:36 2019
+! Time                 : Thu Mar 28 15:59:26 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -259,5 +262,5 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Wed Mar 27 09:51:36 2019
+! Time                 : Thu Mar 28 15:59:26 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -303,5 +306,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Wed Mar 27 09:51:36 2019
+! Time                 : Thu Mar 28 15:59:26 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -367,5 +370,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Wed Mar 27 09:51:36 2019
+! Time                 : Thu Mar 28 15:59:26 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -393,5 +396,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Wed Mar 27 09:51:36 2019
+! Time                 : Thu Mar 28 15:59:26 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -451,5 +454,5 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Wed Mar 27 09:51:36 2019
+! Time                 : Thu Mar 28 15:59:26 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -478,5 +481,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Wed Mar 27 09:51:36 2019
+! Time                 : Thu Mar 28 15:59:26 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -505,5 +508,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Wed Mar 27 09:51:36 2019
+! Time                 : Thu Mar 28 15:59:26 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -534,5 +537,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Wed Mar 27 09:51:36 2019
+! Time                 : Thu Mar 28 15:59:26 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -560,5 +563,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Wed Mar 27 09:51:36 2019
+! Time                 : Thu Mar 28 15:59:26 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -594,6 +597,8 @@
   INTEGER, PARAMETER, PUBLIC :: nkppctrl = 20
   !
-  INTEGER, DIMENSION(nkppctrl), PUBLIC     :: icntrl = 0
+  ! steering PARAMETERs for chemistry solver (see kpp domumentation)
+  INTEGER, DIMENSION(nkppctrl), PUBLIC      :: icntrl = 0
   REAL(dp), DIMENSION(nkppctrl), PUBLIC     :: rcntrl = 0.0_dp
+  ! t_steps: fixed time steps in vector mode
   REAL(dp), DIMENSION(nmaxfixsteps), PUBLIC :: t_steps = 0.0_dp
 
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/chem_gasphase_mod.f90
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/chem_gasphase_mod.f90	(revision 3832)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/chem_gasphase_mod.f90	(revision 3833)
@@ -60,27 +60,30 @@
   !SAVE  ! note: occurs again in automatically generated code ...
 
-!  PUBLIC :: IERR_NAMES
- 
-! PUBLIC :: SPC_NAMES,EQN_NAMES,EQN_TAGS,REQ_HET,REQ_AEROSOL,REQ_PHOTRAT &
-!         ,REQ_MCFCT,IP_MAX,jname
-
+! Public variables
+  PUBLIC :: atol
   PUBLIC :: cs_mech
-  PUBLIC :: eqn_names, phot_names, spc_names
+  PUBLIC :: eqn_names
+  PUBLIC :: fakt
   PUBLIC :: nmaxfixsteps
-  PUBLIC :: atol, rtol
-  PUBLIC :: nspec, nreact
+  PUBLIC :: nphot
+  PUBLIC :: nreact
+  PUBLIC :: nspec
+  PUBLIC :: nvar
+  PUBLIC :: qvap
+  PUBLIC :: phot 
+  PUBLIC :: phot_names
+  PUBLIC :: rconst
+  PUBLIC :: rtol
+  PUBLIC :: spc_names
   PUBLIC :: temp
-  PUBLIC :: qvap
-  PUBLIC :: fakt
-  PUBLIC :: phot 
-  PUBLIC :: rconst
-  PUBLIC :: nvar
-  PUBLIC :: nphot
-  PUBLIC :: vl_dim                     ! PUBLIC to ebable other MODULEs to distiguish between scalar and vec
- 
-  PUBLIC :: initialize, integrate, update_rconst
+  PUBLIC :: vl_dim                     !< PUBLIC to enable other MODULEs to distiguish between scalar and vec
+ 
+! Public routines
   PUBLIC :: chem_gasphase_integrate
+  PUBLIC :: get_mechanism_name
+  PUBLIC :: initialize
   PUBLIC :: initialize_kpp_ctrl
-  PUBLIC :: get_mechanism_name
+  PUBLIC :: integrate
+  PUBLIC :: update_rconst
 
 ! END OF MODULE HEADER TEMPLATE
@@ -114,5 +117,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:28 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -198,5 +201,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:28 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -263,5 +266,5 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:28 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -313,5 +316,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:28 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -382,5 +385,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:28 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -408,5 +411,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:28 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -466,5 +469,5 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:28 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -493,5 +496,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:28 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -520,5 +523,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:28 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -549,5 +552,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:28 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -575,5 +578,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Wed Mar 27 09:51:38 2019
+! Time                 : Thu Mar 28 15:59:28 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -609,6 +612,8 @@
   INTEGER, PARAMETER, PUBLIC :: nkppctrl = 20
   !
-  INTEGER, DIMENSION(nkppctrl), PUBLIC     :: icntrl = 0
+  ! steering PARAMETERs for chemistry solver (see kpp domumentation)
+  INTEGER, DIMENSION(nkppctrl), PUBLIC      :: icntrl = 0
   REAL(dp), DIMENSION(nkppctrl), PUBLIC     :: rcntrl = 0.0_dp
+  ! t_steps: fixed time steps in vector mode
   REAL(dp), DIMENSION(nmaxfixsteps), PUBLIC :: t_steps = 0.0_dp
 
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/chem_gasphase_mod.f90
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/chem_gasphase_mod.f90	(revision 3832)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/chem_gasphase_mod.f90	(revision 3833)
@@ -60,27 +60,30 @@
   !SAVE  ! note: occurs again in automatically generated code ...
 
-!  PUBLIC :: IERR_NAMES
- 
-! PUBLIC :: SPC_NAMES,EQN_NAMES,EQN_TAGS,REQ_HET,REQ_AEROSOL,REQ_PHOTRAT &
-!         ,REQ_MCFCT,IP_MAX,jname
-
+! Public variables
+  PUBLIC :: atol
   PUBLIC :: cs_mech
-  PUBLIC :: eqn_names, phot_names, spc_names
+  PUBLIC :: eqn_names
+  PUBLIC :: fakt
   PUBLIC :: nmaxfixsteps
-  PUBLIC :: atol, rtol
-  PUBLIC :: nspec, nreact
+  PUBLIC :: nphot
+  PUBLIC :: nreact
+  PUBLIC :: nspec
+  PUBLIC :: nvar
+  PUBLIC :: qvap
+  PUBLIC :: phot 
+  PUBLIC :: phot_names
+  PUBLIC :: rconst
+  PUBLIC :: rtol
+  PUBLIC :: spc_names
   PUBLIC :: temp
-  PUBLIC :: qvap
-  PUBLIC :: fakt
-  PUBLIC :: phot 
-  PUBLIC :: rconst
-  PUBLIC :: nvar
-  PUBLIC :: nphot
-  PUBLIC :: vl_dim                     ! PUBLIC to ebable other MODULEs to distiguish between scalar and vec
- 
-  PUBLIC :: initialize, integrate, update_rconst
+  PUBLIC :: vl_dim                     !< PUBLIC to enable other MODULEs to distiguish between scalar and vec
+ 
+! Public routines
   PUBLIC :: chem_gasphase_integrate
+  PUBLIC :: get_mechanism_name
+  PUBLIC :: initialize
   PUBLIC :: initialize_kpp_ctrl
-  PUBLIC :: get_mechanism_name
+  PUBLIC :: integrate
+  PUBLIC :: update_rconst
 
 ! END OF MODULE HEADER TEMPLATE
@@ -114,5 +117,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Wed Mar 27 09:51:39 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -199,5 +202,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Wed Mar 27 09:51:39 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -264,5 +267,5 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Wed Mar 27 09:51:39 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -314,5 +317,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Wed Mar 27 09:51:39 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -384,5 +387,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Wed Mar 27 09:51:39 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -410,5 +413,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Wed Mar 27 09:51:39 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -468,5 +471,5 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Wed Mar 27 09:51:39 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -495,5 +498,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Wed Mar 27 09:51:39 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -522,5 +525,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Wed Mar 27 09:51:39 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -551,5 +554,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Wed Mar 27 09:51:39 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -577,5 +580,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Wed Mar 27 09:51:39 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -611,6 +614,8 @@
   INTEGER, PARAMETER, PUBLIC :: nkppctrl = 20
   !
-  INTEGER, DIMENSION(nkppctrl), PUBLIC     :: icntrl = 0
+  ! steering PARAMETERs for chemistry solver (see kpp domumentation)
+  INTEGER, DIMENSION(nkppctrl), PUBLIC      :: icntrl = 0
   REAL(dp), DIMENSION(nkppctrl), PUBLIC     :: rcntrl = 0.0_dp
+  ! t_steps: fixed time steps in vector mode
   REAL(dp), DIMENSION(nmaxfixsteps), PUBLIC :: t_steps = 0.0_dp
 
Index: /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_smog/chem_gasphase_mod.f90
===================================================================
--- /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_smog/chem_gasphase_mod.f90	(revision 3832)
+++ /palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_smog/chem_gasphase_mod.f90	(revision 3833)
@@ -60,27 +60,30 @@
   !SAVE  ! note: occurs again in automatically generated code ...
 
-!  PUBLIC :: IERR_NAMES
- 
-! PUBLIC :: SPC_NAMES,EQN_NAMES,EQN_TAGS,REQ_HET,REQ_AEROSOL,REQ_PHOTRAT &
-!         ,REQ_MCFCT,IP_MAX,jname
-
+! Public variables
+  PUBLIC :: atol
   PUBLIC :: cs_mech
-  PUBLIC :: eqn_names, phot_names, spc_names
+  PUBLIC :: eqn_names
+  PUBLIC :: fakt
   PUBLIC :: nmaxfixsteps
-  PUBLIC :: atol, rtol
-  PUBLIC :: nspec, nreact
+  PUBLIC :: nphot
+  PUBLIC :: nreact
+  PUBLIC :: nspec
+  PUBLIC :: nvar
+  PUBLIC :: qvap
+  PUBLIC :: phot 
+  PUBLIC :: phot_names
+  PUBLIC :: rconst
+  PUBLIC :: rtol
+  PUBLIC :: spc_names
   PUBLIC :: temp
-  PUBLIC :: qvap
-  PUBLIC :: fakt
-  PUBLIC :: phot 
-  PUBLIC :: rconst
-  PUBLIC :: nvar
-  PUBLIC :: nphot
-  PUBLIC :: vl_dim                     ! PUBLIC to ebable other MODULEs to distiguish between scalar and vec
- 
-  PUBLIC :: initialize, integrate, update_rconst
+  PUBLIC :: vl_dim                     !< PUBLIC to enable other MODULEs to distiguish between scalar and vec
+ 
+! Public routines
   PUBLIC :: chem_gasphase_integrate
+  PUBLIC :: get_mechanism_name
+  PUBLIC :: initialize
   PUBLIC :: initialize_kpp_ctrl
-  PUBLIC :: get_mechanism_name
+  PUBLIC :: integrate
+  PUBLIC :: update_rconst
 
 ! END OF MODULE HEADER TEMPLATE
@@ -114,5 +117,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -206,5 +209,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -271,5 +274,5 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -327,5 +330,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -403,5 +406,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -429,5 +432,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -487,5 +490,5 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -514,5 +517,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -541,5 +544,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -570,5 +573,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -596,5 +599,5 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Wed Mar 27 09:51:40 2019
+! Time                 : Thu Mar 28 15:59:29 2019
 ! Working directory    : /home/forkel-r/palmstuff/work/trunk20190327/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
@@ -630,6 +633,8 @@
   INTEGER, PARAMETER, PUBLIC :: nkppctrl = 20
   !
-  INTEGER, DIMENSION(nkppctrl), PUBLIC     :: icntrl = 0
+  ! steering PARAMETERs for chemistry solver (see kpp domumentation)
+  INTEGER, DIMENSION(nkppctrl), PUBLIC      :: icntrl = 0
   REAL(dp), DIMENSION(nkppctrl), PUBLIC     :: rcntrl = 0.0_dp
+  ! t_steps: fixed time steps in vector mode
   REAL(dp), DIMENSION(nmaxfixsteps), PUBLIC :: t_steps = 0.0_dp
 
